/* ---------- Navigation ---------- */

.responsive_nav {display:none;}

#navigation,
#navigation ul {
    margin:0;
    padding:0;
}

#navigation:after {clear:both;}

#navigation {
    z-index:202;
    display:block;
    zoom:1;
}

#navigation li {
    position:relative;
    z-index:203;
    list-style:none;
}

#navigation li:hover {z-index:9999;}

#navigation a {
    background-color:#ffffff;
    z-index:205;
}

.dark #navigation a {background-color:#141414;}

.dark #navigation ul a {background-color:#ffffff;}

#navigation > li {
    display:table;
    float:left;
}

#navigation > li.current_page_item,
#navigation > li.current-menu-ancestor {z-index:204;}

#navigation > li > a {
    display:table-cell;
    height:75px;
    text-align:center;
    padding:0 15px;
    vertical-align:middle;
    min-width:100px;
    z-index:205;
    -webkit-box-sizing:border-box;
    -moz-box-sizing:border-box;
    box-sizing:border-box;
    -webkit-transition:background-color .3s ease-in-out, color .3s ease-in-out;
    -moz-transition:background-color .3s ease-in-out, color .3s ease-in-out;
    -ms-transition:background-color .3s ease-in-out, color .3s ease-in-out;
    -o-transition:background-color .3s ease-in-out, color .3s ease-in-out;
    transition:background-color .3s ease-in-out, color .3s ease-in-out;
}

#navigation > li.current_page_item > a,
#navigation > li.current-menu-ancestor > a {padding:0 14px;}

#navigation > li > a > span.link_inside {
    display:inline-block;
    padding-top:3px;
    position:relative;
    z-index:210;
}

#navigation > li > a > span.link_before {
    background-color:transparent;
    display:block;
    width:100%;
    height:75px;
    margin-left:-50%;
    position:absolute;
    top:-105px;
    left:50%;
    z-index:205;
}

#navigation > li.current_page_item > a > span.link_before,
#navigation > li.current-menu-ancestor > a > span.link_before,
#navigation > li:hover > a > span.link_before,
#navigation > li > a:hover > span.link_before {
    top:0;
    -webkit-box-shadow:0 -1px 0 1px #f2f2f2;
    -moz-box-shadow:0 -1px 0 1px #f2f2f2;
    box-shadow:0 -1px 0 1px #f2f2f2;
}

#navigation > li.current_page_item > a > span.link_before,
#navigation > li.current-menu-ancestor > a > span.link_before {
    -webkit-transition:background-color .3s ease-in-out;
    -moz-transition:background-color .3s ease-in-out;
    -ms-transition:background-color .3s ease-in-out;
    -o-transition:background-color .3s ease-in-out;
    transition:background-color .3s ease-in-out;
}

#navigation > li:hover > a > span.link_before,
#navigation > li > a:hover > span.link_before {
    -webkit-transition:background-color .3s ease-in-out, top .3s ease-in-out;
    -moz-transition:background-color .3s ease-in-out, top .3s ease-in-out;
    -ms-transition:background-color .3s ease-in-out, top .3s ease-in-out;
    -o-transition:background-color .3s ease-in-out, top .3s ease-in-out;
    transition:background-color .3s ease-in-out, top .3s ease-in-out;
}

#navigation > li > a > span.link_after {
    display:block;
    width:0;
    height:0;
    margin-left:-50px;
    position:absolute;
    bottom:75px;
    left:50%;
    z-index:205;
}

#navigation > li.current_page_item > a > span.link_after,
#navigation > li.current-menu-ancestor > a > span.link_after,
#navigation > li:hover > a > span.link_after,
#navigation > li > a:hover > span.link_after {
    border-top:16px solid transparent;
    border-left:50px solid transparent;
    border-bottom:16px solid transparent;
    border-right:50px solid transparent;
    bottom:-32px;
}

#navigation > li:hover > a > span.link_after,
#navigation > li > a:hover > span.link_after {
    -webkit-transition:bottom .3s ease-in-out;
    -moz-transition:bottom .3s ease-in-out;
    -ms-transition:bottom .3s ease-in-out;
    -o-transition:bottom .3s ease-in-out;
    transition:bottom .3s ease-in-out;
}

#navigation > li.current_page_item > a > span.link_after,
#navigation > li.current-menu-ancestor > a > span.link_after,
#navigation > li.current_page_item:hover > a > span.link_after,
#navigation > li.current-menu-ancestor:hover > a > span.link_after,
#navigation > li.current_page_item > a:hover > span.link_after,
#navigation > li.current-menu-ancestor > a:hover > span.link_after {
    -webkit-transition:border-color .3s ease-in-out;
    -moz-transition:border-color .3s ease-in-out;
    -ms-transition:border-color .3s ease-in-out;
    -o-transition:border-color .3s ease-in-out;
    transition:border-color .3s ease-in-out;
}

#navigation ul {
    position:absolute;
    left:0;
    z-index:9997;
    visibility:hidden;
    margin:20px 0 0 0;
    padding:10px 0;
    background-color:#ffffff;
    opacity:0;
    -webkit-box-shadow:0 0 1px rgba(0, 0, 0, .1);
    -moz-box-shadow:0 0 1px rgba(0, 0, 0, .1);
    box-shadow:0 0 1px rgba(0, 0, 0, .1);
    -webkit-transition:opacity .3s ease-in-out, margin .3s ease-in-out;
    -moz-transition:opacity .3s ease-in-out, margin .3s ease-in-out;
    -ms-transition:opacity .3s ease-in-out, margin .3s ease-in-out;
    -o-transition:opacity .3s ease-in-out, margin .3s ease-in-out;
    transition:opacity .3s ease-in-out, margin .3s ease-in-out;
}

#navigation > li > ul {top:75px;}

#navigation li:hover > ul {
    visibility:visible;
    margin:0;
    opacity:1;
}

#navigation ul ul {
    padding:10px 0;
    margin:0 0 0 20px;
    top:-10px;
    left:167px;
    z-index:9998;
}

#navigation ul li {
    display:block;
    float:none;
    margin:0;
}

#navigation ul li a {
    display:block;
    min-width:200px;
    float:none;
    padding:8px 20px;
    -webkit-transition:background-color .3s ease-in-out, color .3s ease-in-out;
    -moz-transition:background-color .3s ease-in-out, color .3s ease-in-out;
    -ms-transition:background-color .3s ease-in-out, color .3s ease-in-out;
    -o-transition:background-color .3s ease-in-out, color .3s ease-in-out;
    transition:background-color .3s ease-in-out, color .3s ease-in-out;
}


#navigation ul li.current_page_item > a,
#navigation ul li.current-menu-ancestor > a {
    border-top:1px solid #f2f2f2;
    border-bottom:1px solid #f2f2f2;
    padding-top:7px;
    padding-bottom:7px;
}

#navigation ul li.current_page_item > a,
#navigation ul li.current-menu-ancestor > a {background-color:#fafafa;}

#navigation > li.current_page_item > a > span.link_before,
#navigation > li.current-menu-ancestor > a > span.link_before {background-color:#27496d;}

.dark #navigation > li.current_page_item > a > span.link_before,
.dark #navigation > li.current-menu-ancestor > a > span.link_before {background-color:#ffffff;}

#navigation > li.current_page_item > a > span.link_after,
#navigation > li.current-menu-ancestor > a > span.link_after {border-top-color:#27496d;}

.dark #navigation > li.current_page_item > a > span.link_after,
.dark #navigation > li.current-menu-ancestor > a > span.link_after {border-top-color:#ffffff;}
